Issue 62183 - prevent ambiguity of base interfaces
Summary: prevent ambiguity of base interfaces
Status: ACCEPTED
Alias: None
Product: App Dev
Classification: Unclassified
Component: sdk (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-17 08:31 UTC by jsc
Modified: 2017-05-20 11:29 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2006-02-17 08:31:03 UTC
With the new feature of mutliple inheritance of interfaces we can have the
situation that inherited base interfaces are not ambiguous in C++ becasue of the
fact that we can't use virtual inheritance. An approapriate solution to prevent
this ambiguity of base interfaces is to re-declare the ambiguous interfaces at
the point where they can be solved first.
Example

class A { virtual void mA }
class B: public A 
class C: public A
class D: public B, public C { virtual void mA } -> re-declaration of the
ambiguous method mA at 
interface D
class E: public D
class F: public E, public B {virtual void mA } -> again re-declaration of method
mA to prevent ambiguity 

The cppumaker is extended to check such ambiguities and if necessary re-declare
the relevant methods.
Comment 1 jsc 2006-03-15 10:12:53 UTC
will definitely not fixed for OO2.0.3, maybe 2.0.4
Comment 2 jsc 2006-03-20 16:03:39 UTC
accepted
Comment 3 jsc 2006-05-31 11:01:49 UTC
adapt target
Comment 4 Martin Hollmichel 2008-01-28 02:20:30 UTC
set target 3.x
Comment 5 Marcus 2017-05-20 11:29:24 UTC
Reset assigne to the default "issues@openoffice.apache.org".